using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Customer
{
    /// <summary>
    /// 接团信息客户表
    /// </summary>
    [SugarTable("Crm_GroupCustomer")]
    public class Crm_GroupCustomer:EntityBase
    {
        /// <summary>
        ///  团组Id
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="int")]
        public int DiId { get; set; }

        /// <summary>
        ///  名
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string FirstName { get; set; }
        /// <summary>
        ///  姓
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string LastName { get; set; }
        /// <summary>
        ///  拼音姓名
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string Pinyin { get; set; }
        /// <summary>
        ///  单位
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(300)")]
        public string Company { get; set; }
        /// <summary>
        ///  职务
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string Job { get; set; }
        /// <summary>
        ///  手机电话
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Phone { get; set; }
        /// <summary>
        ///  性别
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Sex { get; set; }
        /// <summary>
        ///  身份证
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string IDcard { get; set; }
        /// <summary>
        ///  护照类型
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string PassprotType { get; set; }
        /// <summary>
        /// 签发国家码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string passportCountry { get; set; }
        /// <summary>
        ///  护照编号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string PassportNo { get; set; }
        /// <summary>
        ///  护照签发地
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(300)")]
        public string IssuePlace { get; set; }
        /// <summary>
        ///  护照签发日期
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "date")]
        public DateTime IssueDate { get; set; }

        /// <summary>
        ///  护照有效期
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "date")]
        public DateTime ExpiryDate { get; set; }
        /// <summary>
        ///  生日
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Birthday { get; set; }
        /// <summary>
        ///  舱位类型
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int AirType { get; set; }
        /// <summary>
        ///  舱位备注
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string AirRemark { get; set; }
        /// <summary>
        ///  房型
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(300)")]
        public string RoomType { get; set; }

    }
}
